Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class NameResolverHook

    java.lang.Object
      org.makumba.commons.NameResolver
          org.makumba.db.makumba.sql.NameResolverHook

    public class NameResolverHook

extends NameResolver

This is a decorator for `NameResolver` which makes sure that a table gets opened (i.e. configured and eventually created) on access.

Version:
  $Id: NameResolverHook.java,v 1.1 13.11.2007 12:23:58 Manuel Exp $
Author:
  Manuel Gay, Cristian Bogdan

Nested Class Summary

Nested classes/interfaces inherited from class org.makumba.commons.NameResolver
`NameResolver.Resolvable, NameResolver.TextList`

Field Summary

Fields inherited from class org.makumba.commons.NameResolver
`fieldDBNames`

Constructor Summary
`NameResolverHook(Database db1)`

Method Summary
`String` | `resolveFieldName(DataDefinition dd, String field)` Resolves the database level name for a field, based on Makumba business rules and specific configuration done by the user.
`String` | `resolveTypeName(DataDefinition dd)` Resolves the database level name for a type, based on Makumba business rules and specific configuration done by the user.

Methods inherited from class org.makumba.commons.NameResolver
`arrowToDot, arrowToDoubleDot, arrowToDoubleUnderscore, checkReserved, dotToUnderscore, getKey, getTableNameFromConfig, mddToSQLName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameResolverHook

    NameResolverHook(Database db1)

Method Detail

### resolveTypeName

    public String resolveTypeName(DataDefinition dd)

  Description copied from class: `NameResolver`
  Resolves the database level name for a type, based on Makumba business rules and specific configuration done by the user.

  Overrides:
    `resolveTypeName` in class `NameResolver`
  Parameters:
    `dd` - the `DataDefinition` corresponding to the type to resolve
  Returns:
    the database level name for this type

### resolveFieldName

    public String resolveFieldName(DataDefinition dd,
                                   String field)

  Description copied from class: `NameResolver`
  Resolves the database level name for a field, based on Makumba business rules and specific configuration done by the user.

  Overrides:
    `resolveFieldName` in class `NameResolver`
  Parameters:
    `dd` - the `DataDefinition` corresponding to the type of the field to resolve
    `field` - the name of the field to resolve
  Returns:
    the database level name for this field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20